Subject: Re: [PATCH 6/13] bridge: Add core IGMP snooping support

From: Arnd Bergmann <[email-masked]>
Date: Tue, 9 Mar 2010 22:12:59 +0100

On Sunday 07 March 2010, Paul E. McKenney wrote:
> On Sun, Mar 07, 2010 at 10:45:00AM +0800, Herbert Xu wrote:
> > On Sat, Mar 06, 2010 at 11:00:00AM -0800, Paul E. McKenney wrote:
> 
> Arnd, would it be reasonable to extend your RCU-sparse changes to have
> four different pointer namespaces, one for each flavor of RCU?  (RCU,
> RCU-bh, RCU-sched, and SRCU)?  Always a fan of making the computer do
> the auditing where reasonable.  ;-)
> 
> This could potentially catch the mismatched call_rcu()s, at least if the
> rcu_head could be labeled.
> 
> Other thoughts?

I've just tried annotating net/ipv4/route.c like this and did not get
very far, because the same pointers are used for rcu and rcu_bh.
Could you check if this is a false positive or an actual finding?

	Arnd